Params (v1)
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/gov/v1/params/{paramsType}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/gov/v1/params/{paramsType}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/gov/v1/params/{paramsType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voting_params": {
"voting_period": "<string>"
},
"deposit_params": {
"min_deposit": [
{
"denom": "<string>",
"amount": "<string>"
}
],
"max_deposit_period": "<string>"
},
"tally_params": {
"quorum": "<string>",
"threshold": "<string>",
"veto_threshold": "<string>"
},
"params": {
"min_deposit": [
{
"denom": "<string>",
"amount": "<string>"
}
],
"max_deposit_period": "<string>",
"voting_period": "<string>",
"quorum": "<string>",
"threshold": "<string>",
"veto_threshold": "<string>",
"min_initial_deposit_ratio": "<string>",
"proposal_cancel_ratio": "<string>",
"proposal_cancel_dest": "<string>",
"expedited_voting_period": "<string>",
"expedited_threshold": "<string>",
"expedited_min_deposit": [
{
"denom": "<string>",
"amount": "<string>"
}
],
"burn_vote_quorum": true,
"burn_proposal_deposit_prevote": true,
"burn_vote_veto": true,
"min_deposit_ratio": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}gov
Params (v1)
gRPC: cosmos.gov.v1.Query/Params (reference)
Params queries all parameters of the gov module.
GET
/
cosmos
/
gov
/
v1
/
params
/
{paramsType}
Params (v1)
Path Parameters
params_type defines which parameters to query for, can be one of "voting", "tallying" or "deposit".
Response
A successful response.
QueryParamsResponse is the response type for the Query/Params RPC method.
Deprecated: Prefer to use params instead.
voting_params defines the parameters related to voting.
Show child attributes
Show child attributes
Deprecated: Prefer to use params instead.
deposit_params defines the parameters related to deposit.
Show child attributes
Show child attributes
Deprecated: Prefer to use params instead.
tally_params defines the parameters related to tally.
Show child attributes
Show child attributes
params defines all the parameters of x/gov module.
Show child attributes
Show child attributes
Was this page helpful?